Mailinglist Archive: opensuse-updates (89 mails)

< Previous Next >
openSUSE-RU-2015:0085-1: moderate: recommended softwarestack-update for openSUSE 13.2
openSUSE Recommended Update: recommended softwarestack-update for openSUSE
13.2
______________________________________________________________________________

Announcement ID: openSUSE-RU-2015:0085-1
Rating: moderate
References: #848054 #892431 #899510 #899781 #901590 #901691
#903675 #904737 #906549 #908135 #908345 #908976

Affected Products:
openSUSE 13.2
______________________________________________________________________________

An update that has 12 recommended fixes can now be
installed.

Description:

This recommended softwarestack-update for openSUSE fixes the following
issues:
- zypper:
+ Warn about repositories with 'gpgcheck=0' (bnc#848054)
+ search: fix --verbose implies --details
+ Enhance 'Digest verification failed' dialog (FATE#315008)
+ Summary: quote names including spaces (bnc#903675)
+ Provide missing man pages
+ Create man pages from asciidoc
+ Warn if legacy CLI options are used (bnc#899781)
+ Update translations

- libzypp:
+ Adapt to gpg-2.1 (bnc#908135)
+ rpm: do not obsolete yast2-packagemanager-devel by libzypp-devel-doc
+ replaceAll: fix endless loop on empty search string
+ Do not provide/obsolete yast2-packagemanager-devel by the -doc
package: the -devel package already does that.
+ Call rpm with '--noglob' (bnc#892431)
+ Downloader: unify workflow downloading a (signed) master index file
+ Fix iostream includes
+ Explicitly call libsolv:pool_setdisttype
+ doc: add hint to code 12 pattern packages
+ MediaCurl: Fix URL path concatenation (bnc#901590)
+ Move doxygen html doc to libzypp-devel-doc (bnc#901691)
+ Remove non-breaking spaces from changes file
+ Control lifetime of downloaded mirrorlist
+ Store baseurls in list as order expresses preference
+ Support parsing multiple baseurls from a repo file (bnc#899510)
+ Fix handling local mirrorlist= files in .repo (bnc#899510)
+ Provide missing man pages
+ Enable building autodocs, translations and test per default on debian
+ Fix several typos in output messages and comments
+ Make the include dir path configurable
+ Update translations

- libzypp-bindings
+ Adapt to libzypp changes


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2015-42

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

PackageKit-1.0.3-7.1
PackageKit-backend-zypp-1.0.3-7.1
PackageKit-backend-zypp-debuginfo-1.0.3-7.1
PackageKit-browser-plugin-1.0.3-7.1
PackageKit-browser-plugin-debuginfo-1.0.3-7.1
PackageKit-debuginfo-1.0.3-7.1
PackageKit-debugsource-1.0.3-7.1
PackageKit-devel-1.0.3-7.1
PackageKit-devel-debuginfo-1.0.3-7.1
PackageKit-gstreamer-plugin-1.0.3-7.1
PackageKit-gstreamer-plugin-debuginfo-1.0.3-7.1
PackageKit-gtk3-module-1.0.3-7.1
PackageKit-gtk3-module-debuginfo-1.0.3-7.1
libpackagekit-glib2-18-1.0.3-7.1
libpackagekit-glib2-18-debuginfo-1.0.3-7.1
libpackagekit-glib2-devel-1.0.3-7.1
libyui-gtk-pkg-debugsource-2.43.2-2.3.2
libyui-gtk-pkg-devel-2.43.2-2.3.2
libyui-gtk-pkg6-2.43.2-2.3.2
libyui-gtk-pkg6-debuginfo-2.43.2-2.3.2
libyui-ncurses-pkg-debugsource-2.46.1-2.3.2
libyui-ncurses-pkg-devel-2.46.1-2.3.2
libyui-ncurses-pkg6-2.46.1-2.3.2
libyui-ncurses-pkg6-debuginfo-2.46.1-2.3.2
libyui-qt-pkg-debugsource-2.44.7-3.2
libyui-qt-pkg-devel-2.44.7-3.2
libyui-qt-pkg6-2.44.7-3.2
libyui-qt-pkg6-debuginfo-2.44.7-3.2
libzypp-14.32.0-5.3
libzypp-bindings-debugsource-0.6.4-6.1
libzypp-debuginfo-14.32.0-5.3
libzypp-debugsource-14.32.0-5.3
libzypp-devel-14.32.0-5.3
libzypp-devel-doc-14.32.0-5.3
perl-zypp-0.6.4-6.1
perl-zypp-debuginfo-0.6.4-6.1
python-zypp-0.6.4-6.1
python-zypp-debuginfo-0.6.4-6.1
ruby-zypp-0.6.4-6.1
ruby-zypp-debuginfo-0.6.4-6.1
typelib-1_0-PackageKitGlib-1_0-1.0.3-7.1
yast2-pkg-bindings-3.1.20-3.2
yast2-pkg-bindings-debuginfo-3.1.20-3.2
yast2-pkg-bindings-debugsource-3.1.20-3.2
zypper-1.11.17-5.1
zypper-debuginfo-1.11.17-5.1
zypper-debugsource-1.11.17-5.1

- openSUSE 13.2 (x86_64):

libpackagekit-glib2-18-32bit-1.0.3-7.1
libpackagekit-glib2-18-debuginfo-32bit-1.0.3-7.1
libpackagekit-glib2-devel-32bit-1.0.3-7.1

- openSUSE 13.2 (noarch):

PackageKit-branding-openSUSE-13.2-2.4.1
PackageKit-branding-upstream-1.0.3-7.1
PackageKit-lang-1.0.3-7.1
libyui-gtk-pkg-doc-2.43.2-2.3.2
libyui-ncurses-pkg-doc-2.46.1-2.3.2
libyui-qt-pkg-doc-2.44.7-3.2
yast2-pkg-bindings-devel-doc-3.1.20-3.2
zypper-aptitude-1.11.17-5.1
zypper-log-1.11.17-5.1


References:

https://bugzilla.suse.com/show_bug.cgi?id=848054
https://bugzilla.suse.com/show_bug.cgi?id=892431
https://bugzilla.suse.com/show_bug.cgi?id=899510
https://bugzilla.suse.com/show_bug.cgi?id=899781
https://bugzilla.suse.com/show_bug.cgi?id=901590
https://bugzilla.suse.com/show_bug.cgi?id=901691
https://bugzilla.suse.com/show_bug.cgi?id=903675
https://bugzilla.suse.com/show_bug.cgi?id=904737
https://bugzilla.suse.com/show_bug.cgi?id=906549
https://bugzilla.suse.com/show_bug.cgi?id=908135
https://bugzilla.suse.com/show_bug.cgi?id=908345
https://bugzilla.suse.com/show_bug.cgi?id=908976


< Previous Next >
This Thread
  • No further messages